Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.beans
Class LangAttributePointer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.NodePointer
            |
            +--org.apache.commons.jxpath.ri.model.beans.LangAttributePointer

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Pointer, java.io.Serializable

public class LangAttributePointer
extends NodePointer

A Pointer that points to the "lang" attribute of a JavaBean. The value of the attribute is based on the locale supplied to it in the constructor.

Version:
  $Revision: 1.10 $ $Date: 2003/03/11 00:59:25 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`LangAttributePointer(NodePointer parent)`

Method Summary
`java.lang.String` | `asPath()` Returns an XPath that maps to this Pointer.
`int` | `compareChildNodePointers(NodePointer pointer1, NodePointer pointer2)` Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
`boolean` | `equals(java.lang.Object object)`
`java.lang.Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`QName` | `getExpandedName()` Returns a name that consists of the namespaceURI and the local name of the node.
`java.lang.Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` If the pointer represents a collection (or collection element), returns the length of the collection.
`QName` | `getName()` Returns the name of this node.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI associated with this Pointer.
`int` | `hashCode()`
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isLeaf()` If true, this node does not have children
`void` | `setValue(java.lang.Object value)` Throws UnsupportedOperationException.
`boolean` | `testNode(NodeTest test)` Checks if this Pointer matches the supplied NodeTest.

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`attributeIterator, childIterator, clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, getDefaultNamespaceURI, getImmediateValuePointer, getIndex, getLocale, getNamespaceURI, getNode, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LangAttributePointer

    public LangAttributePointer(NodePointer parent)

Method Detail

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.
  Overrides:
    `getName` in class `NodePointer`

### getExpandedName

    public QName getExpandedName()

  Description copied from class: `NodePointer`
  Returns a name that consists of the namespaceURI and the local name of the node. For non-XML pointers, returns the Pointer's qualified name.
  Overrides:
    `getExpandedName` in class `NodePointer`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from class: `NodePointer`
  Returns the namespace URI associated with this Pointer.
  Overrides:
    `getNamespaceURI` in class `NodePointer`

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.
  Overrides:
    `isCollection` in class `NodePointer`

### getLength

    public int getLength()

  Description copied from class: `NodePointer`
  If the pointer represents a collection (or collection element), returns the length of the collection. Otherwise returns 1 (even if the value is null).
  Overrides:
    `getLength` in class `NodePointer`

### getBaseValue

    public java.lang.Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.
  Overrides:
    `getBaseValue` in class `NodePointer`

### getImmediateNode

    public java.lang.Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.
  Overrides:
    `getImmediateNode` in class `NodePointer`

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children
  Overrides:
    `isLeaf` in class `NodePointer`

### setValue

    public void setValue(java.lang.Object value)

  Throws UnsupportedOperationException.
  Overrides:
    `setValue` in class `NodePointer`

### asPath

    public java.lang.String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.
  Overrides:
    `asPath` in class `NodePointer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### testNode

    public boolean testNode(NodeTest test)

  Description copied from class: `NodePointer`
  Checks if this Pointer matches the supplied NodeTest.
  Overrides:
    `testNode` in class `NodePointer`

### compareChildNodePointers

    public int compareChildNodePointers(NodePointer pointer1,
                                        NodePointer pointer2)

  Description copied from class: `NodePointer`
  Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
  Overrides:
    `compareChildNodePointers` in class `NodePointer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.